Package org.eclipse.cdt.core.templateengine

# Class TemplateInitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.templateengine.TemplateInitializationException

All Implemented Interfaces:
  `Serializable`

public class TemplateInitializationException extends Exception
Represents an exception in initializing a template. Typically this will be caused by an I/O or XML parsing failure.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TemplateInitializationException()`
`TemplateInitializationException(String message)`
`TemplateInitializationException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TemplateInitializationException

public TemplateInitializationException()

### TemplateInitializationException

public TemplateInitializationException(String message)

### TemplateInitializationException

public TemplateInitializationException(String message, Throwable cause)